# Uses of Class
org.bukkit.configuration.MemoryConfiguration

Packages that use MemoryConfiguration
Package
Description
org.bukkit.configuration
Classes dedicated to handling a plugin's runtime configuration.
org.bukkit.configuration.file
Classes dedicated to facilitating `configurations` to be read and stored on the filesystem.

## Uses of MemoryConfiguration in org.bukkit.configuration

Methods in org.bukkit.configuration that return MemoryConfiguration
Modifier and Type
Method
Description
`@NotNull MemoryConfiguration`
MemoryConfigurationOptions.`configuration()`
Constructors in org.bukkit.configuration with parameters of type MemoryConfiguration
Modifier
Constructor
Description
`protected`
`MemoryConfigurationOptions(@NotNull MemoryConfiguration configuration)`

## Uses of MemoryConfiguration in org.bukkit.configuration.file

Subclasses of MemoryConfiguration in org.bukkit.configuration.file
Modifier and Type
Class
Description
`class`
`FileConfiguration`
This is a base class for all File based implementations of `Configuration`
`class`
`YamlConfiguration`
An implementation of `Configuration` which saves all files in Yaml.
Constructors in org.bukkit.configuration.file with parameters of type MemoryConfiguration
Modifier
Constructor
Description
`protected`
`FileConfigurationOptions(@NotNull MemoryConfiguration configuration)`